<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@ricochet.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2004 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.conf.CurrentConference" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%@ taglib uri="/tlds/community" prefix="comm" %>
<%@ taglib uri="/tlds/conference" prefix="conf" %>
<%
  JSPView view = JSPView.get(request);
%>
<util:header>
  <util:title>Import Messages</util:title>
  <util:subtitle><util:escape>Conference: <conf:name/></util:escape></util:subtitle>
</util:header>

<util:form action="conf/import.js.vs" type="servlet" isfile="true">
  <input type="hidden" name="cc" value="<comm:ID/>" />
  <input type="hidden" name="conf" value="<conf:ID/>" />

  <div align="center">
    <div align="left">
      <util:font color="content.fg" size="content">Content data to be uploaded:</util:font>
      <span class="cinput"><input type="file" name="the_file" size="48" /></span><br />
      <util:font color="content.fg" size="content">
        Match existing topics in the conference:
        <select name="match" size="1">
          <option value="<%= ConferenceContext.IMPORT_MATCH_NUM %>" selected="selected">By topic number</option>
          <option value="<%= ConferenceContext.IMPORT_MATCH_NAME %>">By name</option>
        </select><br />
        <input type="checkbox" name="create" value="true" checked="checked" />
        Create new topics if they don't exist
      </util:font>
    </div>
    <util:button id="import" type="input" />&nbsp;&nbsp;<util:button id="cancel" type="input" />
  </div>
</util:form>
